## gnome-shell-extension-arc-menu 38.3

=== Makefile ===
# Basic Makefile with bits inspired by dash-to-dock

UUID=arc-menu@linxgem33.com
POT_FILEPATH=./po/arc-menu.pot
MO_FILE=arc-menu.mo
GSCHEMA_FILE=org.gnome.shell.extensions.arc-menu.gschema.xml
TO_LOCALIZE=prefs.js menu.js menuWidgets.js search.js placeDisplay.js controller.js

GIT_HEAD=$(shell git rev-parse HEAD)
LAST_RELEASE=$(shell git describe --abbrev=0 --tags --match v[0-9]*)
GIT_LAST_TAG=$(shell git show-ref -s $(LAST_RELEASE))

# define VERSION and VSTRING
ifeq ($(GIT_LAST_TAG),$(GIT_HEAD))
	VERSION=$(subst v,,$(LAST_RELEASE))
	VSTRING=$(LAST_RELEASE)
else
	VERSION=$(shell git rev-parse --short HEAD)
	VSTRING=$(VERSION)
endif

ifeq ($(strip $(INSTALL)),system) # check if INSTALL == system
	INSTALL_TYPE=system
	SHARE_PREFIX=$(DESTDIR)/usr/share
	INSTALL_BASE=$(SHARE_PREFIX)/gnome-shell/extensions
else
	INSTALL_TYPE=local
	INSTALL_BASE=~/.local/share/gnome-shell/extensions
endif

JS=*.js
CSS=*.css
MD=*.md
JSON=*.json
TXT=AUTHORS COPYING
DIRS=schemas media menulayouts
MSG_SRC=$(wildcard ./po/*.po)


all: build

help:
	@echo "Usage: make [help | all | clean | install | jshint | compile |"
	@echo "             enable | disable | zip-file]"
	@echo ""
	@echo "all          build the project and create the build directory"
	@echo "clean        delete the build directory"
	@echo "install      install the extension"
	@echo "uninstall    uninstall the extension"
	@echo "enable       enable the extension"
	@echo "disable      disable the extension"
	@echo "jshint       run jshint"
	@echo "compile      compile the gschema xml file"
	@echo "zip-file     create a deployable zip file"
	@echo "tgz-file     create a tar.gz file"

enable:
	-gnome-shell-extension-tool -e $(UUID)

disable:
	-gnome-shell-extension-tool -d $(UUID)

clean:
	rm -f ./schemas/gschemas.compiled
	rm -rf ./build
	rm -f ./$(UUID)*.zip
	rm -f ./$(UUID)*.tar.gz
	rm -f MD5SUMS SHA1SUMS SHA256SUMS SHA512SUMS

jshint:
	jshint $(JS)

test: jshint

install: build
	mkdir -p $(INSTALL_BASE)/$(UUID)
	cp -r ./build/* $(INSTALL_BASE)/$(UUID)
ifeq ($(INSTALL_TYPE),system)
	mkdir -p $(SHARE_PREFIX)/glib-2.0/schemas $(SHARE_PREFIX)/locale
	cp -r ./schemas/$(GSCHEMA_FILE) $(SHARE_PREFIX)/glib-2.0/schemas
	cp -r ./build/locale/* $(SHARE_PREFIX)/locale
endif
	rm -rf ./build

uninstall:
	rm -rf $(INSTALL_BASE)/$(UUID)
ifeq ($(INSTALL_TYPE),system)
	rm -f $(SHARE_PREFIX)/glib-2.0/schemas/$(GSCHEMA_FILE)
	find $(SHARE_PREFIX)/locale -name $(MO_FILE) -type f -delete
endif

translations: $(POT_FILEPATH)
	for l in $(MSG_SRC); do \
		msgmerge -U $$l $(POT_FILEPATH); \
	done;

potfile: $(POT_FILEPATH)

$(POT_FILEPATH): $(TO_LOCALIZE) FORCE
	echo $(POT_FILEPATH)
	xgettext --from-code=UTF-8 -k --keyword=_ --keyword=N_ --add-comments='Translators:' \
		-o $(POT_FILEPATH) --package-name "Arc Menu" $(TO_LOCALIZE)

./po/%.mo: ./po/%.po
	msgfmt -c $< -o $@

compile:
	glib-compile-schemas ./schemas

build: translations compile $(MSG_SRC:.po=.mo)
	mkdir -p ./build
	cp $(JS) $(CSS) $(JSON) $(MD) $(TXT) ./build
	cp -r $(DIRS) ./build
	mkdir -p ./build/locale
	for l in $(MSG_SRC:.po=.mo) ; do \
		lf=./build/locale/`basename $$l .mo`; \
		mkdir -p $$lf/LC_MESSAGES; \
		cp $$l $$lf/LC_MESSAGES/arc-menu.mo; \
	done;
	sed -i 's/"version": -1/"version": "$(VERSION)"/'  build/metadata.json;

zip-file: build
	mv ./build ./Arc-Menu-$(VSTRING)
	zip -qr $(UUID)_$(VSTRING).zip Arc-Menu-$(VSTRING)
	rm -rf ./Arc-Menu-$(VSTRING)
	$(MAKE) _checksums ARCHIVE_FILE=*.zip

tgz-file: build
	mv ./build ./Arc-Menu-$(VSTRING)
	tar -zcf $(UUID)_$(VSTRING).tar.gz Arc-Menu-$(VSTRING)
	rm -rf ./Arc-Menu-$(VSTRING)
	$(MAKE) _checksums ARCHIVE_FILE=*.tar.gz

_checksums:
	md5sum $(ARCHIVE_FILE) >> MD5SUMS
	sha1sum $(ARCHIVE_FILE) >> SHA1SUMS
	sha256sum $(ARCHIVE_FILE) >> SHA256SUMS
	sha512sum $(ARCHIVE_FILE) >> SHA512SUMS

.PHONY: FORCE
FORCE:

## gnome-shell-extension-arc-menu 38.3-dev

=== debian/changelog ===
gnome-shell-extension-arc-menu (38.3-dev-2) unstable; urgency=medium

  * Initial source-only upload

 -- Jonathan Carter <jcc@debian.org>  Fri, 10 Jan 2020 19:13:17 +0200

gnome-shell-extension-arc-menu (38.3-dev-1) unstable; urgency=medium

  * Initial release (Closes: #942310)

 -- Jonathan Carter <jcc@debian.org>  Tue, 12 Nov 2019 11:18:01 +0000

=== debian/control ===
Source: gnome-shell-extension-arc-menu
Section: gnome
Priority: optional
Maintainer: Jonathan <jcc@debian.org>
Build-Depends: debhelper-compat (= 12), gettext, libgettextpo-dev, libglib2.0-bin
Standards-Version: 4.4.1
Homepage: https://github.com/lexruee/Arc-Menu
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-arc-menu
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-arc-menu.git

Package: gnome-shell-extension-arc-menu
Architecture: all
Depends: ${misc:Depends}, gnome-shell (>= 3.28)
Recommends: gir1.2-gmenu-3.0
Description: shell extension designed to replace the standard menu found in GNOME
 Arc Menu is a GNOME shell extension designed to replace the standard menu
 found in GNOME 3 this application menu extension has some added benefits
 over the standard menu found in GNOME 3, these include the long awaited
 search functionality as well as quick access to files on your system and
 also the current logged in user along with quick access to the software
 centre and system settings and other features which can be accessed from the
 settings menu.

=== debian/rules ===
#!/usr/bin/make -f

# Get version number using pkg-info
include /usr/share/dpkg/pkg-info.mk
BASEDIR=debian/gnome-shell-extension-arc-menu/usr/share/gnome-shell/extensions/arc-menu@linxgem33.com

%:
	dh $@

# We don't have jslint, so override the test
override_dh_auto_test:

override_dh_auto_build:
	make translations
	make compile

override_dh_auto_install:

override_dh_install:
	dh_install
	rm -f $(BASEDIR)/po/*~
	chmod 640 $(BASEDIR)/metadata.json
	# Current upsteam version breaks metadata file
	#sed -i 's/"version": -1/"version": $(DEB_VERSION_UPSTREAM)/' $(BASEDIR)/metadata.json;

## gnome-shell-extension-arc-menu 45

=== Makefile ===
# Basic Makefile

UUID = arc-menu@linxgem33.com
BASE_MODULES = AUTHORS convenience.js COPYING extension.js helper.js metadata.json README.md stylesheet.css utils.js 
EXTRA_MODULES = constants.js controller.js menuButtonDash.js menuButtonPanel.js menuWidgets.js placeDisplay.js prefs.js prefsWidgets.js search.js searchGrid.js 

MENU_LAYOUTS = baseMenuLayout.js arcmenu.js brisk.js budgie.js chromebook.js elementary.js gnomedash.js gnomemenu.js mint.js redmond.js runner.js simple.js simple2.js ubuntudash.js whisker.js windows.js
MENU_TWEAKS = menulayouts/tweaks/tweaks.js

TOLOCALIZE = $(EXTRA_MODULES) $(addprefix menulayouts/, $(MENU_LAYOUTS)) $(MENU_TWEAKS)
EXTRA_DIRECTORIES = media menulayouts
MSGSRC = $(wildcard po/*.po)
ifeq ($(strip $(DESTDIR)),)
	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
else
	INSTALLBASE = $(DESTDIR)/usr/share/gnome-shell/extensions
endif
INSTALLNAME = arc-menu@linxgem33.com

# The command line passed variable VERSION is used to set the version string
# in the metadata and in the generated zip-file. If no VERSION is passed, the
# version is pulled from the latest git tag and the current commit SHA1 is 
# added to the metadata
ifdef VERSION
	FILESUFFIX = _v$(VERSION)
else
	COMMIT = $(shell git rev-parse HEAD)
	VERSION = 
	FILESUFFIX =
endif

all: extension

clean:
	rm -f ./schemas/gschemas.compiled

extension: ./schemas/gschemas.compiled $(MSGSRC:.po=.mo)

./schemas/gschemas.compiled: ./schemas/org.gnome.shell.extensions.arc-menu.gschema.xml
	glib-compile-schemas ./schemas/

potfile: ./po/arc-menu.pot

mergepo: potfile
	for l in $(MSGSRC); do \
		msgmerge -U $$l ./po/arc-menu.pot; \
	done;

./po/arc-menu.pot: $(TOLOCALIZE)
	mkdir -p po
	xgettext -k_ -kN_ --from-code utf-8 -o po/arc-menu.pot --package-name "Arc Menu" $(TOLOCALIZE)

./po/%.mo: ./po/%.po
	msgfmt -c $< -o $@

install: install-local

install-local: _build
	rm -rf $(INSTALLBASE)/$(INSTALLNAME)
	mkdir -p $(INSTALLBASE)/$(INSTALLNAME)
	cp -r ./_build/* $(INSTALLBASE)/$(INSTALLNAME)/
	-rm -fR _build
	echo done

zip-file: _build
	cd _build ; \
	zip -qr "$(UUID)$(FILESUFFIX).zip" .
	mv _build/$(UUID)$(FILESUFFIX).zip ./
	-rm -fR _build

_build: all
	-rm -fR ./_build
	mkdir -p _build
	cp $(BASE_MODULES) $(EXTRA_MODULES) _build
	cp -r $(EXTRA_DIRECTORIES) _build
	mkdir -p _build/schemas
	cp schemas/*.xml _build/schemas/
	cp schemas/gschemas.compiled _build/schemas/
	mkdir -p _build/locale
	for l in $(MSGSRC:.po=.mo) ; do \
		lf=_build/locale/`basename $$l .mo`; \
		mkdir -p $$lf; \
		mkdir -p $$lf/LC_MESSAGES; \
		cp $$l $$lf/LC_MESSAGES/arc-menu.mo; \
	done;
ifneq ($(COMMIT),)
	sed -i '/"version": .*,/a "commit": "$(COMMIT)",'  _build/metadata.json;
else ifneq ($(VERSION),)
	sed -i 's/"version": .*,/"version": $(VERSION),/'  _build/metadata.json;
endif

=== debian/changelog ===
gnome-shell-extension-arc-menu (45-1) unstable; urgency=medium

  * New upstream release (Closes: #956168)
  * Update standards version to 4.5.0
  * Declare Rules-Requires-Root: no
  * Update required gnome-shell version to 3.36 or higher
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Fri, 17 Apr 2020 21:55:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Jonathan <jcc@debian.org>
 Build-Depends: debhelper-compat (= 12), gettext, libgettextpo-dev, libglib2.0-bin
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/lexruee/Arc-Menu
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-arc-menu
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-arc-menu.git
 
 Package: gnome-shell-extension-arc-menu
 Architecture: all
-Depends: ${misc:Depends}, gnome-shell (>= 3.28)
+Depends: ${misc:Depends}, gnome-shell (>= 3.36)
 Recommends: gir1.2-gmenu-3.0
 Description: shell extension designed to replace the standard menu found in GNOME
  Arc Menu is a GNOME shell extension designed to replace the standard menu

=== debian/rules ===
#!/usr/bin/make -f

# Get version number using pkg-info
include /usr/share/dpkg/pkg-info.mk
BASEDIR=debian/gnome-shell-extension-arc-menu/usr/share/gnome-shell/extensions/arc-menu@linxgem33.com

%:
	dh $@

# We don't have jslint, so override the test
override_dh_auto_test:

override_dh_auto_install:

override_dh_install:
	dh_install
	rm -f $(BASEDIR)/po/*~
	chmod 640 $(BASEDIR)/metadata.json

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/Arc-Menu.*\.tar\.gz/Arc-Menu-$1\.tar\.gz/g \
  https://gitlab.com/LinxGem33/Arc-Menu/tags?sort=updated_desc .*\.tar\.gz.*

## gnome-shell-extension-arc-menu 49

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # Basic Makefile
 
 UUID = arc-menu@linxgem33.com
-BASE_MODULES = AUTHORS convenience.js COPYING extension.js helper.js metadata.json README.md stylesheet.css utils.js 
-EXTRA_MODULES = constants.js controller.js menuButtonDash.js menuButtonPanel.js menuWidgets.js placeDisplay.js prefs.js prefsWidgets.js search.js searchGrid.js 
+BASE_MODULES = AUTHORS convenience.js COPYING extension.js helper.js metadata.json README.md utils.js 
+EXTRA_MODULES = constants.js controller.js menuButton.js menuWidgets.js placeDisplay.js prefs.js prefsWidgets.js search.js
 
-MENU_LAYOUTS = baseMenuLayout.js arcmenu.js brisk.js budgie.js chromebook.js elementary.js gnomedash.js gnomemenu.js mint.js redmond.js runner.js simple.js simple2.js ubuntudash.js whisker.js windows.js
+MENU_LAYOUTS = arcmenu.js baseMenuLayout.js brisk.js budgie.js chromebook.js dashboard.js elementary.js gnomemenu.js mint.js plasma.js raven.js ravenExtended.js redmond.js runner.js simple.js simple2.js tognee.js ubuntudash.js whisker.js windows.js
 MENU_TWEAKS = menulayouts/tweaks/tweaks.js
 
 TOLOCALIZE = $(EXTRA_MODULES) $(addprefix menulayouts/, $(MENU_LAYOUTS)) $(MENU_TWEAKS)

=== debian/changelog ===
gnome-shell-extension-arc-menu (49-1) unstable; urgency=medium

  [ Edward Betts ]
  * d/{control,copyright,watch}: Update upstream URL

  [ Jonathan Carter ]
  * New upstream release
  * Update debhelper-compat to level 13
  * Remove *.css from debian/install (no longed needed)
  * Override executable permissions in debian/rules

 -- Jonathan Carter <jcc@debian.org>  Thu, 22 Oct 2020 12:59:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: gnome
 Priority: optional
 Maintainer: Jonathan <jcc@debian.org>
-Build-Depends: debhelper-compat (= 12), gettext, libgettextpo-dev, libglib2.0-bin
+Build-Depends: debhelper-compat (= 13), gettext, libgettextpo-dev, libglib2.0-bin
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Homepage: https://github.com/lexruee/Arc-Menu
+Homepage: https://gitlab.com/arcmenu-team/Arc-Menu
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-arc-menu
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-arc-menu.git

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,7 @@
 override_dh_install:
 	dh_install
 	rm -f $(BASEDIR)/po/*~
-	chmod 640 $(BASEDIR)/metadata.json
+	chmod 640 $(BASEDIR)/metadata.json $(BASEDIR)/media/icons/arc-menu-logo.svg \
+		$(BASEDIR)/media/icons/arc-menu-symbolic.svg \
+		$(BASEDIR)/media/icons/menu_icons/*.svg \
+		$(BASEDIR)/media/icons/settings_icons/fine-tune-symbolic.svg

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v([\d.]+)(?:-[Ss]table)?\/Arc-Menu.*\.tar\.gz/Arc-Menu-$1\.tar\.gz/g \
  https://gitlab.com/arcmenu-team/Arc-Menu/-/tags?sort=updated_desc .*/Arc-Menu-v(\d+)(?:-[Ss]table)?\.tar\.gz

## gnome-shell-extension-arc-menu 49+forkv18

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # Basic Makefile
 
-UUID = arc-menu@linxgem33.com
-BASE_MODULES = AUTHORS convenience.js COPYING extension.js helper.js metadata.json README.md utils.js 
+UUID = arcmenu@arcmenu.com
+BASE_MODULES = COPYING extension.js helper.js metadata.json README.md utils.js 
 EXTRA_MODULES = constants.js controller.js menuButton.js menuWidgets.js placeDisplay.js prefs.js prefsWidgets.js search.js
 
-MENU_LAYOUTS = arcmenu.js baseMenuLayout.js brisk.js budgie.js chromebook.js dashboard.js elementary.js gnomemenu.js mint.js plasma.js raven.js ravenExtended.js redmond.js runner.js simple.js simple2.js tognee.js ubuntudash.js whisker.js windows.js
+MENU_LAYOUTS = arcmenu.js baseMenuLayout.js brisk.js budgie.js chromebook.js elementary.js eleven.js gnomemenu.js insider.js launcher.js mint.js plasma.js raven.js redmond.js runner.js simple.js simple2.js tognee.js unity.js whisker.js windows.js
 MENU_TWEAKS = menulayouts/tweaks/tweaks.js
 
 TOLOCALIZE = $(EXTRA_MODULES) $(addprefix menulayouts/, $(MENU_LAYOUTS)) $(MENU_TWEAKS)
@@ -15,7 +15,7 @@
 else
 	INSTALLBASE = $(DESTDIR)/usr/share/gnome-shell/extensions
 endif
-INSTALLNAME = arc-menu@linxgem33.com
+INSTALLNAME = arcmenu@arcmenu.com
 
 # The command line passed variable VERSION is used to set the version string
 # in the metadata and in the generated zip-file. If no VERSION is passed, the
@@ -36,19 +36,19 @@
 
 extension: ./schemas/gschemas.compiled $(MSGSRC:.po=.mo)
 
-./schemas/gschemas.compiled: ./schemas/org.gnome.shell.extensions.arc-menu.gschema.xml
+./schemas/gschemas.compiled: ./schemas/org.gnome.shell.extensions.arcmenu.gschema.xml
 	glib-compile-schemas ./schemas/
 
-potfile: ./po/arc-menu.pot
+potfile: ./po/arcmenu.pot
 
 mergepo: potfile
 	for l in $(MSGSRC); do \
-		msgmerge -U $$l ./po/arc-menu.pot; \
+		msgmerge -U $$l ./po/arcmenu.pot; \
 	done;
 
-./po/arc-menu.pot: $(TOLOCALIZE)
+./po/arcmenu.pot: $(TOLOCALIZE)
 	mkdir -p po
-	xgettext -k_ -kN_ --from-code utf-8 -o po/arc-menu.pot --package-name "Arc Menu" $(TOLOCALIZE)
+	xgettext -k_ -kN_ --from-code utf-8 -o po/arcmenu.pot --package-name "ArcMenu" $(TOLOCALIZE)
 
 ./po/%.mo: ./po/%.po
 	msgfmt -c $< -o $@
@@ -81,7 +81,7 @@
 		lf=_build/locale/`basename $$l .mo`; \
 		mkdir -p $$lf; \
 		mkdir -p $$lf/LC_MESSAGES; \
-		cp $$l $$lf/LC_MESSAGES/arc-menu.mo; \
+		cp $$l $$lf/LC_MESSAGES/arcmenu.mo; \
 	done;
 ifneq ($(COMMIT),)
 	sed -i '/"version": .*,/a "commit": "$(COMMIT)",'  _build/metadata.json;

=== debian/changelog ===
gnome-shell-extension-arc-menu (49+forkv18-1) unstable; urgency=medium

  * Update standards version to 4.6.0
  * New upstream fork (Closes: #993182, #996045)
    - Update debian/install with new upstream name
  * Depend on minimum gnome-shell version 40
  * Update copyright years
  * Install schema in correct directory (Closes: #983463)
  * Update chmod paths in debian/rules

 -- Jonathan Carter <jcc@debian.org>  Mon, 06 Sep 2021 10:44:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jonathan <jcc@debian.org>
 Build-Depends: debhelper-compat (= 13), gettext, libgettextpo-dev, libglib2.0-bin
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/arcmenu-team/Arc-Menu
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-arc-menu
@@ -11,7 +11,7 @@
 
 Package: gnome-shell-extension-arc-menu
 Architecture: all
-Depends: ${misc:Depends}, gnome-shell (>= 3.36)
+Depends: ${misc:Depends}, gnome-shell (>= 40)
 Recommends: gir1.2-gmenu-3.0
 Description: shell extension designed to replace the standard menu found in GNOME
  Arc Menu is a GNOME shell extension designed to replace the standard menu

=== debian/watch ===
version=4
https://gitlab.com/arcmenu/ArcMenu/tags?sort=updated_desc /arcmenu/ArcMenu/-/archive/@ANY_VERSION@/ArcMenu-\d\S*@ARCHIVE_EXT@

## gnome-shell-extension-arc-menu 49+forkv20

=== Makefile ===
--- 
+++ 
@@ -2,13 +2,13 @@
 
 UUID = arcmenu@arcmenu.com
 BASE_MODULES = COPYING extension.js helper.js metadata.json README.md utils.js 
-EXTRA_MODULES = constants.js controller.js menuButton.js menuWidgets.js placeDisplay.js prefs.js prefsWidgets.js search.js
+EXTRA_MODULES = constants.js controller.js menuButton.js menuWidgets.js placeDisplay.js prefs.js prefsWidgets.js search.js standaloneRunner.js
 
 MENU_LAYOUTS = arcmenu.js baseMenuLayout.js brisk.js budgie.js chromebook.js elementary.js eleven.js gnomemenu.js insider.js launcher.js mint.js plasma.js raven.js redmond.js runner.js simple.js simple2.js tognee.js unity.js whisker.js windows.js
 MENU_TWEAKS = menulayouts/tweaks/tweaks.js
 
 TOLOCALIZE = $(EXTRA_MODULES) $(addprefix menulayouts/, $(MENU_LAYOUTS)) $(MENU_TWEAKS)
-EXTRA_DIRECTORIES = media menulayouts
+EXTRA_DIRECTORIES = media menulayouts searchProviders
 MSGSRC = $(wildcard po/*.po)
 ifeq ($(strip $(DESTDIR)),)
 	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions

=== debian/changelog ===
gnome-shell-extension-arc-menu (49+forkv20-1) unstable; urgency=medium

  * New upstream release
  * Improve debian/watch
  * Add searchProviders to debian/install

 -- Jonathan Carter <jcc@debian.org>  Fri, 21 Jan 2022 11:59:18 +0200

=== debian/control ===
--- 
+++ 
@@ -21,4 +21,3 @@
  also the current logged in user along with quick access to the software
  centre and system settings and other features which can be accessed from the
  settings menu.
-

## gnome-shell-extension-arc-menu 49+forkv29

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # Basic Makefile
 
 UUID = arcmenu@arcmenu.com
-BASE_MODULES = COPYING extension.js helper.js metadata.json README.md utils.js 
-EXTRA_MODULES = constants.js controller.js menuButton.js menuWidgets.js placeDisplay.js prefs.js prefsWidgets.js search.js standaloneRunner.js
+BASE_MODULES = COPYING extension.js keybinder.js metadata.json README.md stylesheet.css utils.js 
+EXTRA_MODULES = constants.js controller.js menuButton.js menuWidgets.js placeDisplay.js prefs.js prefsWidgets.js recentFilesManager.js search.js standaloneRunner.js
 
-MENU_LAYOUTS = arcmenu.js baseMenuLayout.js brisk.js budgie.js chromebook.js elementary.js eleven.js gnomemenu.js insider.js launcher.js mint.js plasma.js raven.js redmond.js runner.js simple.js simple2.js tognee.js unity.js whisker.js windows.js
+MENU_LAYOUTS = arcmenu.js baseMenuLayout.js brisk.js budgie.js chromebook.js elementary.js eleven.js gnomemenu.js insider.js launcher.js mint.js plasma.js raven.js redmond.js runner.js tognee.js unity.js whisker.js windows.js
 MENU_TWEAKS = menulayouts/tweaks/tweaks.js
 
 TOLOCALIZE = $(EXTRA_MODULES) $(addprefix menulayouts/, $(MENU_LAYOUTS)) $(MENU_TWEAKS)

=== debian/changelog ===
gnome-shell-extension-arc-menu (49+forkv29-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 27 Sep 2022 19:16:09 -0400

gnome-shell-extension-arc-menu (49+forkv29-2) experimental; urgency=medium

  * Team upload
  * Add patches for GNOME Shell 43 compatibility (Closes: #1018189)
  * debian/control: Bump minimum & maximum gnome-shell to 43

 -- Jesús Soto <jesus.soto@canonical.com>  Mon, 12 Sep 2022 08:38:00 -0400

gnome-shell-extension-arc-menu (49+forkv29-1) unstable; urgency=medium

  * New upstream release (Closes: #1008536)
  * Bump required gnome-shell version to 42

 -- Jonathan Carter <jcc@debian.org>  Wed, 30 Mar 2022 11:52:48 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: gnome-shell-extension-arc-menu
 Architecture: all
-Depends: ${misc:Depends}, gnome-shell (>= 40)
+Depends: ${misc:Depends}, gnome-shell (>= 43~), gnome-shell (<< 44~)
 Recommends: gir1.2-gmenu-3.0
 Description: shell extension designed to replace the standard menu found in GNOME
  Arc Menu is a GNOME shell extension designed to replace the standard menu

=== debian/rules ===
#!/usr/bin/make -f

# Get version number using pkg-info
include /usr/share/dpkg/pkg-info.mk
BASEDIR=debian/gnome-shell-extension-arc-menu/usr/share/gnome-shell/extensions/arcmenu@arcmenu.com

%:
	dh $@

# We don't have jslint, so override the test
override_dh_auto_test:

override_dh_auto_install:

override_dh_install:
	dh_install
	rm -f $(BASEDIR)/po/*~
	chmod 640 $(BASEDIR)/metadata.json \
	    $(BASEDIR)/media/icons/menu_button_icons/icons/*.svg \
		$(BASEDIR)/media/icons/prefs_icons/hicolor/16x16/actions/*.svg \
		$(BASEDIR)/media/icons/menu_icons/arc-menu-symbolic.svg

=== debian/watch ===
version=4
https://gitlab.com/arcmenu/ArcMenu/tags?sort=updated_desc \
  (?:.*/)ArcMenu-v@ANY_VERSION@\.tar\.gz

## gnome-shell-extension-arc-menu 64

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,21 @@
 # Basic Makefile
 
 UUID = arcmenu@arcmenu.com
-BASE_MODULES = COPYING extension.js keybinder.js metadata.json README.md stylesheet.css utils.js 
-EXTRA_MODULES = constants.js controller.js menuButton.js menuWidgets.js placeDisplay.js prefs.js prefsWidgets.js recentFilesManager.js search.js standaloneRunner.js
+BASE_MODULES = COPYING extension.js keybinder.js metadata.json README.md stylesheet.css theming.js
+EXTRA_MODULES = appMenu.js arcmenuManager.js constants.js controller.js iconGrid.js menuButton.js menuWidgets.js placeDisplay.js prefs.js prefsWidgets.js recentFilesManager.js search.js standaloneRunner.js updateNotifier.js utils.js
 
-MENU_LAYOUTS = arcmenu.js baseMenuLayout.js brisk.js budgie.js chromebook.js elementary.js eleven.js gnomemenu.js insider.js launcher.js mint.js plasma.js raven.js redmond.js runner.js tognee.js unity.js whisker.js windows.js
-MENU_TWEAKS = menulayouts/tweaks/tweaks.js
+TOLOCALIZE = $(EXTRA_MODULES) menulayouts/* settings/*
 
-TOLOCALIZE = $(EXTRA_MODULES) $(addprefix menulayouts/, $(MENU_LAYOUTS)) $(MENU_TWEAKS)
-EXTRA_DIRECTORIES = media menulayouts searchProviders
+EXTRA_DIRECTORIES = icons menulayouts searchProviders settings
+
 MSGSRC = $(wildcard po/*.po)
 ifeq ($(strip $(DESTDIR)),)
+	INSTALLTYPE = local
 	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
 else
-	INSTALLBASE = $(DESTDIR)/usr/share/gnome-shell/extensions
+	INSTALLTYPE = system
+	SHARE_PREFIX = $(DESTDIR)/usr/share
+	INSTALLBASE = $(SHARE_PREFIX)/gnome-shell/extensions
 endif
 INSTALLNAME = arcmenu@arcmenu.com
 
@@ -59,6 +61,13 @@
 	rm -rf $(INSTALLBASE)/$(INSTALLNAME)
 	mkdir -p $(INSTALLBASE)/$(INSTALLNAME)
 	cp -r ./_build/* $(INSTALLBASE)/$(INSTALLNAME)/
+ifeq ($(INSTALLTYPE),system)
+	# system-wide settings and locale files
+	rm -r $(INSTALLBASE)/$(INSTALLNAME)/schemas $(INSTALLBASE)/$(INSTALLNAME)/locale
+	mkdir -p $(SHARE_PREFIX)/glib-2.0/schemas $(SHARE_PREFIX)/locale
+	cp -r ./schemas/*gschema.* $(SHARE_PREFIX)/glib-2.0/schemas
+	cp -r ./_build/locale/* $(SHARE_PREFIX)/locale
+endif
 	-rm -fR _build
 	echo done

=== debian/changelog ===
gnome-shell-extension-arc-menu (64-1) unstable; urgency=medium

  * New upstream release
  * Update gnome-shell dependency to include version 48

 -- Jonathan Carter <jcc@debian.org>  Mon, 03 Feb 2025 11:13:23 +0200

gnome-shell-extension-arc-menu (63-2) unstable; urgency=medium

  * Remove extraneous dash from project homepage
  * Remove built langauge files on dh_clean to allow re-building of
    package (Closes: #1044947)

 -- Jonathan Carter <jcc@debian.org>  Wed, 13 Nov 2024 09:21:19 +0200

gnome-shell-extension-arc-menu (63-1) unstable; urgency=medium

  * New upstream release
  * Update project homepage
  * Install settings directory (Closes: #1086749)

 -- Jonathan Carter <jcc@debian.org>  Thu, 07 Nov 2024 15:18:44 +0200

gnome-shell-extension-arc-menu (61-1) unstable; urgency=medium

  * New upstream release (Closes: #1079238)
  * Update depends to include gnome-shell version 47

 -- Jonathan Carter <jcc@debian.org>  Mon, 07 Oct 2024 12:03:56 +0200

gnome-shell-extension-arc-menu (58-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Thu, 15 Aug 2024 17:37:27 +0200

gnome-shell-extension-arc-menu (57-1) unstable; urgency=medium

  * Team upload
  * Release to unstable (Closes: #1052088)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Jul 2024 08:32:39 -0400

gnome-shell-extension-arc-menu (57-1~exp1) experimental; urgency=medium

  * New upstream release
  * Fix package short description (Closes: #1065502)

 -- Jonathan Carter <jcc@debian.org>  Wed, 19 Jun 2024 11:17:17 +0200

gnome-shell-extension-arc-menu (56-1~exp1) experimental; urgency=medium

  * New upstream release
  * Update standards version to 4.7.0
  * Update dependencies to allow for gnome-shell version 46 
  * Update debian/watch file for new version of GitLab

 -- Jonathan Carter <jcc@debian.org>  Wed, 24 Apr 2024 11:16:10 +0200

gnome-shell-extension-arc-menu (55-1) unstable; urgency=medium

  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Mon, 04 Mar 2024 19:44:08 +0200

gnome-shell-extension-arc-menu (52-1~exp1) experimental; urgency=medium

  * Experimental upload (GNOME 45 is not yet in unstable)
  * Set gnome-shell dependency to 45
  * Cut some fields in debian/control to 80 characters width
  * Remove debian/patches (no longer needed)
  * Remove media from debian/install (no longer provided)
    And remove associated permission items from debian/rules

 -- Jonathan Carter <jcc@debian.org>  Sun, 26 Nov 2023 20:19:20 +0200

gnome-shell-extension-arc-menu (49+forkv29-4) unstable; urgency=medium

  * Add support for gnome-shell version 44
  * Update standards version to 4.6.2

 -- Jonathan Carter <jcc@debian.org>  Tue, 29 Aug 2023 13:21:26 +0200

=== debian/control ===
Source: gnome-shell-extension-arc-menu
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jonathan <jcc@debian.org>
Build-Depends: debhelper-compat (= 13), gettext, libgettextpo-dev,
               libglib2.0-bin
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/arcmenu/ArcMenu
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-arc-menu
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-arc-menu.git

Package: gnome-shell-extension-arc-menu
Architecture: all
Depends: ${misc:Depends}, gnome-shell (>= 45~), gnome-shell (<< 49~)
Recommends: gir1.2-gmenu-3.0
Description: shell extension designed to provide a panel menu
 GNOME Arc Menu is a GNOME shell extension designed to replace the standard
 menu found in GNOME 3 this application menu extension has some added benefits
 over the standard menu found in GNOME 3, these include the long awaited
 search functionality as well as quick access to files on your system and
 also the current logged in user along with quick access to the software
 centre and system settings and other features which can be accessed from the
 settings menu.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,9 @@
 override_dh_install:
 	dh_install
 	rm -f $(BASEDIR)/po/*~
-	chmod 640 $(BASEDIR)/metadata.json \
-	    $(BASEDIR)/media/icons/menu_button_icons/icons/*.svg \
-		$(BASEDIR)/media/icons/prefs_icons/hicolor/16x16/actions/*.svg \
-		$(BASEDIR)/media/icons/menu_icons/arc-menu-symbolic.svg
+	chmod 640 $(BASEDIR)/metadata.json 
+
+
+override_dh_clean:
+	rm -f */*.mo
+	dh_clean

## gnome-shell-extension-arc-menu 65

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,10 @@
 # Basic Makefile
 
 UUID = arcmenu@arcmenu.com
-BASE_MODULES = COPYING extension.js keybinder.js metadata.json README.md stylesheet.css theming.js
-EXTRA_MODULES = appMenu.js arcmenuManager.js constants.js controller.js iconGrid.js menuButton.js menuWidgets.js placeDisplay.js prefs.js prefsWidgets.js recentFilesManager.js search.js standaloneRunner.js updateNotifier.js utils.js
+BASE_MODULES = COPYING extension.js keybinder.js metadata.json README.md RELEASENOTES stylesheet.css theming.js
+EXTRA_MODULES = appMenu.js arcmenuManager.js constants.js iconGrid.js menuButton.js menuController.js \
+		menuWidgets.js placeDisplay.js prefs.js prefsWidgets.js recentFilesManager.js search.js \
+		standaloneRunner.js updateNotifier.js utils.js
 
 TOLOCALIZE = $(EXTRA_MODULES) menulayouts/* settings/*

=== debian/changelog ===
gnome-shell-extension-arc-menu (65-2) unstable; urgency=medium

  * Team upload
  * Automatically update supported GNOME Shell versions by parsing metadata.json

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Apr 2025 19:07:53 -0400

gnome-shell-extension-arc-menu (65-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Wed, 12 Mar 2025 16:20:44 +0200

## gnome-shell-extension-arc-menu 66

=== debian/changelog ===
gnome-shell-extension-arc-menu (66-1) unstable; urgency=medium

  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Tue, 12 Aug 2025 20:37:19 +0200

## gnome-shell-extension-arc-menu 67.1

=== debian/changelog ===
gnome-shell-extension-arc-menu (67.1-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.7.2
  * Update install list for new files layout

 -- Jonathan Carter <jcc@debian.org>  Tue, 16 Sep 2025 12:29:18 +0200

## gnome-shell-extension-arc-menu 67.2

=== Makefile ===
.PHONY: all clean extension potfile mergepo install prefs enable disable reset info show zip-file

UUID = arcmenu@arcmenu.com

PACKAGE_FILES = \
	icons \
	LICENSE \
	metadata.json \
	README.md \
	RELEASENOTES.md \
	src/*

MSGSRC = $(wildcard po/*.po)

ifeq ($(strip $(DESTDIR)),)
	INSTALLTYPE = local
	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
else
	INSTALLTYPE = system
	SHARE_PREFIX = $(DESTDIR)/usr/share
	INSTALLBASE = $(SHARE_PREFIX)/gnome-shell/extensions
endif

# The command line passed variable VERSION is used to set the version string
# in the generated zip-file. If no VERSION is passed,
# the current commit SHA1 is added to the metadata
ifdef VERSION
	VSTRING = _$(VERSION)
else
	COMMIT = $(shell git rev-parse HEAD)
	VSTRING =
endif

all: extension

clean:
	rm -f ./schemas/gschemas.compiled

extension: ./schemas/gschemas.compiled $(MSGSRC:.po=.mo)

./schemas/gschemas.compiled: ./schemas/org.gnome.shell.extensions.arcmenu.gschema.xml
	glib-compile-schemas ./schemas/

potfile:
	mkdir -p po
	find src/ -name '*.js' | xargs \
	xgettext -k_ -kN_ \
		--from-code=UTF-8 \
		--output=po/arcmenu.pot \
		--sort-by-file \
		--add-comments=TRANSLATORS \
		--package-name "ArcMenu"

mergepo: potfile
	for l in $(MSGSRC); do \
		msgmerge -NU $$l ./po/arcmenu.pot; \
	done;

./po/%.mo: ./po/%.po
	msgfmt -c $< -o $@

install: _build
	rm -rf $(INSTALLBASE)/$(UUID)
	mkdir -p $(INSTALLBASE)/$(UUID)
	cp -r ./_build/* $(INSTALLBASE)/$(UUID)/
ifeq ($(INSTALLTYPE),system)
	# system-wide settings and locale files
	rm -r $(INSTALLBASE)/$(UUID)/schemas $(INSTALLBASE)/$(UUID)/locale
	mkdir -p $(SHARE_PREFIX)/glib-2.0/schemas $(SHARE_PREFIX)/locale
	cp -r ./schemas/*gschema.* $(SHARE_PREFIX)/glib-2.0/schemas
	cp -r ./_build/locale/* $(SHARE_PREFIX)/locale
endif
	-rm -fR _build
	echo done

prefs enable disable reset info show:
	gnome-extensions $@ $(UUID)

zip-file: _build
	cd _build ; \
	zip -qr "$(UUID)$(VSTRING).zip" .
	mv _build/$(UUID)$(VSTRING).zip ./
	-rm -fR _build

_build: all
	-rm -fR ./_build
	mkdir -p _build
	cp -r $(PACKAGE_FILES) _build
	mkdir -p _build/schemas
	cp schemas/*.xml _build/schemas/
	cp schemas/gschemas.compiled _build/schemas/
	mkdir -p _build/locale
	for l in $(MSGSRC:.po=.mo) ; do \
		lf=_build/locale/`basename $$l .mo`; \
		mkdir -p $$lf; \
		mkdir -p $$lf/LC_MESSAGES; \
		cp $$l $$lf/LC_MESSAGES/arcmenu.mo; \
	done;
ifneq ($(COMMIT),)
	sed -i '/"version": .*,/a \  "commit": "$(COMMIT)",'  _build/metadata.json;
endif

=== debian/changelog ===
gnome-shell-extension-arc-menu (67.2-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Thu, 23 Oct 2025 11:21:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,15 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jonathan <jcc@debian.org>
-Build-Depends: debhelper-compat (= 13), gettext, libgettextpo-dev,
-               libglib2.0-bin
-Standards-Version: 4.7.0
+Uploaders:
+ Jonathan <jcc@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ gettext,
+ libgettextpo-dev,
+ libglib2.0-bin,
+ python3,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/arcmenu/ArcMenu
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-arc-menu
@@ -13,8 +18,11 @@
 
 Package: gnome-shell-extension-arc-menu
 Architecture: all
-Depends: ${misc:Depends}, gnome-shell (>= 45~), gnome-shell (<< 49~)
-Recommends: gir1.2-gmenu-3.0
+Depends:
+ gir1.2-gmenu-3.0,
+ gnome-shell (>= ${gnome:MinimumVersion}~),
+ gnome-shell (<< ${gnome:MaximumVersion}~),
+ ${misc:Depends},
 Description: shell extension designed to provide a panel menu
  GNOME Arc Menu is a GNOME shell extension designed to replace the standard
  menu found in GNOME 3 this application menu extension has some added benefits

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# We don't have jslint, so override the test
override_dh_auto_test:

override_dh_auto_install:

override_dh_gencontrol:
	dh_gencontrol -- \
		-Vgnome:MinimumVersion=$(shell python3 -c "import json; print(min(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))") \
		-Vgnome:MaximumVersion=$(shell python3 -c "import json; print(1+max(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))")

## gnome-shell-extension-arc-menu 68.0

=== Makefile ===
.PHONY: all clean extension potfile install prefs enable disable reset info show updatepo zip-file

GETTEXT_DOMAIN = arcmenu
NAME = ArcMenu
RESOURCES_PATH = /org/gnome/shell/extensions/arcmenu
SETTINGS_SCHEMA = org.gnome.shell.extensions.arcmenu
UUID = arcmenu@arcmenu.com

# Files and directories to build into extension.
# src/* flattens the src directory to root.
PACKAGE_FILES = \
	LICENSE \
	metadata.json \
	README.md \
	RELEASENOTES.md \
	src/*

# Directories to scan for .js and .ui files.
# `make potfile` uses xgettext to extract strings to build the .pot template.
I18N_DIRS = src/

# If VERSION is provided via CLI, suffix ZIP_NAME with _$(VERSION).
# Otherwise, inject git commit SHA (if available) into metadata.json.
COMMIT = $(if $(VERSION),,$(shell git rev-parse HEAD))
ZIP_NAME = $(UUID)$(if $(VERSION),_$(VERSION),)

ifeq ($(strip $(DESTDIR)),)
	INSTALLTYPE = local
	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
else
	INSTALLTYPE = system
	SHARE_PREFIX = $(DESTDIR)/usr/share
	INSTALLBASE = $(SHARE_PREFIX)/gnome-shell/extensions
endif

define CLEAN_UP
@echo 'Cleaning up...'
@-rm -fR _build
@-rm -fR _po
@-rm -f ./schemas/gschemas.compiled
@-rm -f ./data/resources.gresource
@-rm -f ./po/*.po~
@-rm -f ./po/*.mo
@echo "Done."
endef

all: extension

clean:
	$(CLEAN_UP)

extension: _compile-resources _compile-schemas _compile-translations

_compile-resources:
	@mkdir -p data/
	@if find data/ -mindepth 2 -type f -name "*.svg" | grep -q .; then \
		echo "Creating resources.gresource.xml..."; \
		FILES=$$(find data/ -mindepth 2 -type f -name "*.svg" \
		          -printf '    <file compressed="true" preprocess="xml-stripblanks">%P</file>\n' | \
		          sort -V); \
		printf "<?xml version='1.0' encoding='UTF-8'?>\n<gresources>\n  <gresource prefix='$(RESOURCES_PATH)'>\n$$FILES\n  </gresource>\n</gresources>" \
			> data/resources.gresource.xml; \
		echo "Done."; \
		command -v glib-compile-resources >/dev/null 2>&1 || { echo "Error: glib-compile-resources not found. Install 'glib2-devel' or 'libglib2.0-dev'."; exit 1; }; \
		echo "Compiling resources.gresource.xml..."; \
		glib-compile-resources --sourcedir=data data/resources.gresource.xml; \
		echo "Done."; \
	else \
		echo "No resources found in data/. Skipping compile-resources..."; \
	fi

_compile-schemas: ./schemas/$(SETTINGS_SCHEMA).gschema.xml
	@command -v glib-compile-schemas >/dev/null 2>&1 || { echo "Error: glib-compile-schemas not found. Install 'glib2-devel' or 'libglib2.0-dev'."; exit 1; }
	@echo "Compiling $(SETTINGS_SCHEMA).gschema.xml..."
	@glib-compile-schemas --strict ./schemas/ || { echo "Error: glib-compile-schemas failed!."; exit 1; }
	@echo "Done."

# Prep .po files for compilation into .mo files.
# Omits untranslated messages, fuzzy messages (except the header entry), and obsolete messages from the output.
_buildpo:
	@command -v msgmerge >/dev/null 2>&1 || { echo "Error: msgmerge not found. Install 'gettext' package."; exit 1; }
	@-rm -fR ./_po
	@mkdir -p _po
	@echo "Updating po files..."
	@for PO_FILE in po/*.po; do \
		LANG=$$(basename "$$PO_FILE" .po); \
		msgmerge --for-msgfmt --no-location -q $$PO_FILE ./po/$(GETTEXT_DOMAIN).pot > _po/$$LANG.po; \
	done;
	@echo "Done."

_compile-translations: _buildpo
	@command -v msgfmt >/dev/null 2>&1 || { echo "Error: msgfmt not found. Install 'gettext' package."; exit 1; }
	@echo "Compiling translations..."
	@for PO_FILE in _po/*.po; do \
		LANG=$$(basename "$$PO_FILE" .po); \
		msgfmt -c "$$PO_FILE" -o "po/$$LANG.mo"; \
	done;
	@echo "Done."

potfile:
	@command -v xgettext >/dev/null 2>&1 || { echo "Error: xgettext not found. Install 'gettext' package."; exit 1; }
	@echo "Creating $(GETTEXT_DOMAIN).pot file..."
	@mkdir -p po
	@find $(I18N_DIRS) \( -name '*.js' -o -name '*.ui' \) | xargs \
	xgettext \
		--from-code=UTF-8 \
		--output=po/$(GETTEXT_DOMAIN).pot \
		--sort-by-file \
		--add-comments=TRANSLATORS \
		--package-name "$(NAME)"
	@echo "Done."

updatepo: potfile
	@command -v msgmerge >/dev/null 2>&1 || { echo "Error: msgmerge not found. Install 'gettext' package."; exit 1; }
	@echo "Updating po files..."
	@for PO_FILE in po/*.po; do \
		msgmerge -NU $$PO_FILE ./po/$(GETTEXT_DOMAIN).pot; \
	done;
	@echo "Done."
	$(CLEAN_UP)

install: _build
	@echo "Installing to $(INSTALLBASE)..."
	@rm -rf $(INSTALLBASE)/$(UUID)
	@mkdir -p $(INSTALLBASE)/$(UUID)
	@cp -r ./_build/* $(INSTALLBASE)/$(UUID)/
	@if [ "$(INSTALLTYPE)" = "system" ]; then \
		rm -r $(INSTALLBASE)/$(UUID)/schemas $(INSTALLBASE)/$(UUID)/locale; \
		mkdir -p $(SHARE_PREFIX)/glib-2.0/schemas $(SHARE_PREFIX)/locale; \
		cp -r ./schemas/*gschema.* $(SHARE_PREFIX)/glib-2.0/schemas; \
		cp -r ./_build/locale/* $(SHARE_PREFIX)/locale; \
	fi
	@echo "Done."
	$(CLEAN_UP)

prefs enable disable reset info show:
	gnome-extensions $@ $(UUID)

zip-file: _build
	@echo "Bundling zip file..."
	@cd _build; \
	zip -qr "$(ZIP_NAME).zip" . -x "schemas/gschemas.compiled"
	@mv _build/$(ZIP_NAME).zip ./
	@echo "Done."
	$(CLEAN_UP)

_build: all
	@echo "Building extension..."
	@-rm -fR ./_build
	@mkdir -p _build
	@cp -r $(PACKAGE_FILES) _build
	@mkdir -p _build/schemas
	@cp schemas/*.xml _build/schemas/
	@cp schemas/gschemas.compiled _build/schemas/
	@mkdir -p _build/data
	@cp data/resources.gresource _build/data/resources.gresource
	@mkdir -p _build/locale
	@for MO_FILE in po/*.mo; do \
		lf=_build/locale/`basename $$MO_FILE .mo`; \
		mkdir -p $$lf; \
		mkdir -p $$lf/LC_MESSAGES; \
		cp $$MO_FILE $$lf/LC_MESSAGES/$(GETTEXT_DOMAIN).mo; \
	done;
	@if [ -n "$(COMMIT)" ]; then \
		sed -i '/"version": .*,/a \  "commit": "$(COMMIT)",' _build/metadata.json; \
	fi
	@echo "Done."

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,8 @@
  gettext,
  libgettextpo-dev,
  libglib2.0-bin,
+ libglib2.0-dev,
  python3,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://gitlab.com/arcmenu/ArcMenu
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-arc-menu
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-arc-menu.git
